Summary: Desktop manager for the XFce Desktop Environment
Name: xfdesktop
Version: 4.5.92
Release: 1%{?dist}
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-%{version}/src/xfdesktop-%{version}.tar.bz2

# Change default for Fedora
Patch0: xfdesktop-image-4.3.90.1.patch
# Show default image
Patch1: xfdesktop-4.4.2-show-backdrop-by-default.patch
# Fix for gcc 4.3
Patch2: xfdesktop-4.4.2-gcc43.patch
# Fix memory leaks
Patch3: xfdesktop-4.4.2-memleak.patch
# Fix desktop menu
Patch4: xfdesktop-4.4.2-desktop-menu-fixes.patch
# Enable distro specific logo in desktop menu
Patch5: xfdesktop-4.4.2-desktop-menu-icon.patch
# Fix CRITICAL register message
Patch6: xfdesktop-4.4.2-fix-CRITICAL-register-message-startup.patch
# simplify free code
Patch7: xfdesktop-4.4.2-simplify-free-code.patch
# Fix for x86_64
Patch8: xfdesktop-4.4.2-fix-size-warning-amd64.patch
# Enable xdg user dirs
Patch9: xfdesktop-4.4.2-xdg-userdir-compat.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: xfwm4
Requires: xfce4-panel
Requires: desktop-backgrounds-basic
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: xfce4-panel-devel >= %{version}
BuildRequires: libxml2-devel
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: gettext
BuildRequires: exo-devel
BuildRequires: Thunar-devel
BuildRequires: dbus-glib-devel
BuildRequires: dbus-devel
BuildRequires: libwnck-devel
BuildRequires: libglade2-devel
BuildRequires: libxfce4menu-devel
BuildRequires: xfconf-devel

%description
This package includes a desktop manager for the XFce Desktop Environment.

%prep
%setup -q

#patch0 -p1 -b .fedora
#patch1 -p1 -b .show-backdrop
#patch2 -p1 -b .gcc43
#patch3 -p1 -b .memleak
#patch4 -p1 -b .fixed
#patch5 -p1 -b .distro-logo
#patch6 -p1 -b .critical
#patch7 -p1 -b .simplyfied
#patch8 -p1 -b .x86_64
#patch9 -p1 -b .userdir

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog NEWS COPYING AUTHORS
%{_bindir}/*
%{_libexecdir}/xfce4/panel-plugins/*
%{_libdir}/xfce4/modules/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/xfce4/doc
%{_datadir}/xfce4/backdrops
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/xdg/menus/xfce-applications.menu
%{_datadir}/desktop-directories
%{_datadir}/xfce4/panel-plugins/xfce4-menu.desktop

%changelog
* Sun Dec 28 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Update 4.5.92

* Sun Aug 31 2008 Christoph Wickert <fedora@christoph-wickert.de> - 4.4.2-6
- Update xdg-userdir-compat.patch to use upstream's variable names

* Wed Aug 27 2008 Christoph Wickert <fedora@christoph-wickert.de> - 4.4.2-5
- Use Fedora icon for desktop menu plugin (#445986)
- Respect xdg user directory paths (#457740)
- Fix menu icons
- Fix CRITICAL register message on startup
- Fix for x86_64
- Simplify g_list_free code

* Mon Aug 11 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-4
- Add partial memory leak patch (partially fixes #428662)

* Tue Feb 19 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Rebuild for gcc43
- Add patch for gcc43

* Mon Dec 17 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Apply patch to show default backdrop

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Update License tag
- Update patch to have correct desktop image filename

* Tue Jul  9 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Add patch to fix menu lockups with new gtk2

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own %%{_libdir}/xfce4/modules/
- Own %%{_datadir}/xfce4-menueditor/

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Fix defattr
- Add period to the end of description
- Add gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Bump release for devel checkin

* Sun Sep 17 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Don't own datadir/xfce4/panel-plugins as thats owned by xfce4-panel

* Sat Sep  9 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Add exo, dbus-glib and Thunar-devel BuildRequires

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Update to 4.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2
- Update to 4.3.90.2

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.1
- Update to 4.3.90.1

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded a/la files
- Rediffed xfdesktop-image patch against current version and applied

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Thu Jan 27 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid useless static library #131485

* Tue Jul 20 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6
- fix bug #122743, #124951, #125058

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Change defaults for fedora, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Wed Jan 14 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
